package org.gcube.portlets.user.reportgenerator.shared;

import java.io.Serializable;

@SuppressWarnings("serial")
public class SessionInfo implements Serializable {

	private UserBean user;
	private String scope;
	private Boolean isWorkflowDocument;
	private Boolean isEditable;
	
	public SessionInfo() {	}

	public SessionInfo(UserBean user, String scope,
			Boolean isWorkflowDocument, Boolean canEdit) {
		super();
		this.user = user;
		this.scope = scope;
		this.isWorkflowDocument = isWorkflowDocument;
		this.isEditable = canEdit;
	}

	public UserBean getUsername() {
		return user;
	}

	public void UserBean(UserBean userBean) {
		this.user = userBean;
	}

	public String getScope() {
		return scope;
	}

	public void setScope(String scope) {
		this.scope = scope;
	}

	public Boolean isWorkflowDocument() {
		return isWorkflowDocument;
	}

	public void setIsWorkflowDocument(Boolean isWorkflowDocument) {
		this.isWorkflowDocument = isWorkflowDocument;
	}

	public Boolean isEditable() {
		return isEditable;
	}

	public void setEditable(Boolean canEdit) {
		this.isEditable = canEdit;
	}
	
	
}
